@layer theme-overrides {

    /* font families:
    Logo, page titles, headings (1-6): roca, sans-serif; ironwood-font-accent
    Body: adobe-caslon-pro, serif; ironwood-font-secondary
    Menu items, buttons, subheads: adelphi-pe-variable, sans-serif; ironwood-font-primary
    */


    :root {
        --social-work-gray: #B2BDC9;
        --social-work-blue: #3A67B6;
        --social-work-light-green: #519A7D;
        --social-work-hunter-green: #193A2D;

        --social-work-orange: #9D411F;
        --social-work-gold: #C59D55;
        --social-work-brown: #604617;
        --social-work-black: #000;

        --ironwood-black: #000;
        --ironwood-light-gray: #F4F5F7;
        --ironwood-medium-gray: #E3E7EC;
        --ironwood-dark-gray: #B2BDC9;
    }

    body {
        font-family: var(--ironwood-font-secondary);
    }

    h1 {
        font-family: var(--ironwood-font-accent);
    }

    h2, h3, h4, h5, h6 {
        font-family: var(--ironwood-font-primary);
    }

    h2 {
        font-size: var(--ironwood-font-size-l-3);
    }

    h3 {
        font-size: var(--ironwood-font-size-l-2);
    }

    .site-header {
        background: var(--social-work-light-green);
    }

    .genesis-nav-menu a {
        transition: all ease-in-out .33s;
        font-family: var(--ironwood-font-primary);
        color: var(--social-work-hunter-green);
    }

    .genesis-nav-menu > li > a {
        text-align: center;
        padding: 0;
        padding: 4px 0;
        /* border-bottom: 2px solid var(--social-work-light-green); */
    }

    .genesis-nav-menu .sub-menu {
        box-shadow: var(--ironwood-box-shadow-medium);
    }

    .genesis-nav-menu .sub-menu a {
        border: none !important;
        border-bottom: none;
    }

    .genesis-nav-menu .sub-menu a:hover {
        background: var(--ironwood-medium-gray);
    }

    .footer-widgets {
        background: #B2BDC9;
        border: none;
    }

    .site-footer {
        background: #3A67B6;
        background: var(--social-work-hunter-green);
        font-family: var(--ironwood-font-primary);
    }

    .page-template-on_page_sidebar_navigation .clb-on-page-nav-wrapper li {
        font-family: var(--ironwood-font-primary);
        font-size: var(--ironwood-font-size-sm);
        line-height: 1.2;
    }

    .clb-social-footer-widget-wrapper {
        display: flex;
        gap: 20px;
    }

    .clb-social-footer-widget-wrapper a {
        color: var(--ironwood-black);
    }

    .clb-social-footer-widget-wrapper a:hover {
        color: var(--social-work-blue);
    }

    #custom_html-2 p {
        font-size: var(--ironwood-font-size-md);
    }

    #search-2 input {
        border: none;
    }

    ::placeholder {
        opacity: .5;
        font-style: italic;
    }

    .title-area img {
        transition: all ease-in-out .33s;
    }

    /* On hover: make only the non-transparent parts black */
    .title-area img:hover {
        filter: grayscale(100%) brightness(0%);
    }


    .blog h1.archive-title {
        text-align: center;
        font-size: var(--ironwood-font-size-l-4);
        margin: 0;
    }

    .blog .archive-description {
        margin: 0;
    }

    .clb-blog-page-content {
        font-style: italic;
    }

    .blog .clb-single-page-featured-img-wrapper {
        display: none;
    }




.blog-grid {
	/*--- NEW Container Queries! --- */
	container-type: inline-size;
	container-name: blog-card;
}

.blog.full-width-content .content {
    max-width: 100%;
	width: 100% !important;
}

.blog-grid article {
	/* background: #f5f5f5; */
  	/* width: 360px; */
	/* margin-bottom: 30px;
	display: grid;
	grid-template-columns: 1fr 3fr;
	gap: 20px; */
}

.blog-grid .entry:before {
	display: none;
}

.blog-grid .entry img {
	display: block;
	margin: 0;
	border-top-left-radius: 5px;
	border-bottom-left-radius: 5px;
}

.blog-grid .entry {
	padding-bottom: 0;
	border-radius: 5px;
	box-shadow: 0 8px 40px rgba(0,0,0,0.1);
}

.blog-grid .entry .clb-archive-featured-image-area,
.blog-grid .entry .entry-header .entry-meta,
.blog-grid .entry .entry-header .entry-title,
.blog-grid .entry .clb-archive-featured-image-area,
.blog-grid .entry .entry-content,
.blog-grid .entry .entry-footer {
	display: none;
}

.blog-grid .entry .clb-custom-list-view-wrapper {
	display: grid;
	grid-template-columns: 1fr 3fr;
	gap: 20px;
	border-radius: 5px;
}

.blog-grid .entry .clb-custom-list-view-wrapper.clb-missing-feat-img {
	grid-template-columns: 1fr;
	padding-left: 20px;
}

.blog-grid .entry .entry-header {
	margin-bottom: 0;
}

.blog-grid .clb-entry-card-wrapper h2.entry-title {
	text-align: left;
	font-size: 28px;
	margin: 0;
	margin-bottom: 8px;
}

.blog-grid .clb-entry-card-wrapper {
	padding: 20px;
    padding-top: 36px;
	padding-left: 0;
}

.blog-grid .clb-entry-card-wrapper .clb-custom-meta {
	text-align: left;
	padding-left: 0;
	color: var(--ironwood-dark-gray);
	font-size: var(--ironwood-font-size-md);
}

.blog-grid .clb-entry-card-wrapper .clb-custom-excerpt {
	margin: 0;
	padding: 0;
	text-align: left;
	margin-top: 20px;
	padding-bottom: 12px;
}

.blog-grid .clb-list-view-img-wrapper {
	display: flex;
	flex-direction: column;
}

.blog-grid .clb-list-view-img-wrapper img {
	flex: 1;
	object-fit: cover;
}

.blog-grid .entry .entry-header .clb-custom-list-view-wrapper .entry-title {
	display: block;
}

.blog-grid .entry.clb-missing-post-thumbnail {
	border-radius: 5px;
	padding-top: 10px;
}

.blog-grid article .entry-footer, .blog-grid article .entry-header {
	/* display: none; */
}

.blog-grid article .entry-content p {
	/* display: none; */
}

.blog-grid .entry-content h2.entry-title {
	font-size: 24px;
	line-height: 1.2;
	margin-bottom: 0;
	padding-left: 20px;
	padding-right: 20px;
	padding-top: 10px;
}

.clb-blog-page-content {
	text-align: center;
	margin-bottom: 60px;
}

.clb-homepage-hero .wp-block-cover__inner-container {
	z-index: 50;
}

.clb-post-metabox-wrapper {
    font-family: var(--ironwood-font-primary);
    font-size: var(--ironwood-font-size-md);
    padding: 20px;
    border-radius: var(--ironwood-border-radius);
    display: grid;
    grid-template-columns: 1fr 5fr;
    gap: 30px;
    margin-bottom: 30px;
    background: var(--ironwood-medium-gray);
}

.clb-work-group-tags-wrapper {
    display: flex;
    gap: 12px;
    margin-top: 20px;
}

.clb-work-group-tag {
    font-size: var(--ironwood-font-size-sm);
    padding: 12px 20px;
    border-radius: 999px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
    
    border: 2px solid var(--work-group-color);
}

.clb-work-group-tag svg {
    color: var(--work-group-color);
}

.clb-author-title-wrapper {
    font-family: var(--ironwood-font-primary);
    font-size: var(--ironwood-font-size-sm);
}




/* Container query applied */
@container blog-card (width < 672px) {
	.blog-grid .entry .clb-custom-list-view-wrapper {
		 grid-template-columns: 1fr;
	}

	.blog-grid .entry .clb-custom-list-view-wrapper .clb-list-view-img-wrapper img {
		width: 100%;
		object-fit: cover;
		border-radius: 0;
		border-top-left-radius: var(--ironwood-border-radius);
		border-top-right-radius: var(--ironwood-border-radius);
	}

	.blog-grid .clb-entry-card-wrapper {
		padding: 30px;
	}

	.blog-grid .entry .clb-custom-list-view-wrapper.clb-missing-feat-img {
		padding-left: 0;
	}

}



    .wp-custom-logo .title-area {
        max-width: 350px;
        padding-top: 8px;
        padding-bottom: 8px;
    }


    
    @media screen and (min-width: 960px) {

        .site-header .wrap {
            justify-content: space-between;
            align-items: center;
            gap: 20px;
        }

        #menu-main-menu {
            display: flex;
            gap: 20px;
        }

        .genesis-nav-menu > li > a:hover {
            /* border-bottom: 2px solid var(--social-work-hunter-green); */
        }

        .genesis-nav-menu > li > a::after,
        .genesis-nav-menu > li.current-menu-item a::after {
            content: "";
            position: absolute;
            bottom: 0;
            left: 0;
            right: 0;
            height: 3px;
            border-radius: 99px;
            background-color: var(--social-work-hunter-green); /* Set your line color */
            opacity: 0;
            transition: all ease-in-out .33s;
        }

        .genesis-nav-menu > li.current-menu-item a::after {
            opacity: 1;
        }

        .genesis-nav-menu > li > a:hover::after {
            opacity: 1;
        }

        .title-area {
            transition: all ease-in-out .33s;
        }

        .wp-custom-logo .title-area {
            padding-top: 20px;
            padding-bottom: 20px;
        }

        .wp-custom-logo .ironwood-scrolled .title-area {
            max-width: 350px;
            padding-top: 8px;
            padding-bottom: 8px;
        }

        
        
    }


    @media screen and (max-width: 959px) {

        .home .clb-homepage-hero h2 {
            font-size: var(--ironwood-font-size-l-3) !important;
        }

    }

}

